from .base import Base

class Atlas(Base):
  @classmethod
  def ext(self):
    return 'atl'
  
  def define(self):
    self.total_pages = 0
    self.seen_pages = 0
    self.enabled = False
    
  def f(self, detail=1):
    r = super().f(detail)
    if detail >2:
      if not self.enabled:
        r += ' OFF'
      r += f' {self.seen_pages}/{self.total_pages}'
    return r
